import pygame, time, sys, serial, datetime, random
import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)
GPIO.setup(18, GPIO.IN)
GPIO.setup(23, GPIO.OUT)
GPIO.output(23, False)

pygame.mixer.init()
pygame.mixer.pre_init(44100, -16, 2, 65536)
pygame.init()

pygame.display.set_mode((320, 200))

SONG_END = pygame.USEREVENT +1
pygame.mixer.music.set_endevent(SONG_END)

clock = pygame.time.Clock()

pinout = int

global soundfileID
global valueprevious
valueprevious = 1
soundfileID = 0
value1 = 0
playing = 0



def soundop(path, fade):
			
			
	global playing
	global soundfileID
	global valueprevious		
	
	if soundfileID == 0:
			valueprevious = 0

	if soundfileID != valueprevious:  
			
			print ('play' + str(soundfileID))
			pygame.mixer.music.fadeout(fade)
			GPIO.output(23, False)
			time.sleep(1)
			soundfile = path + 'rac1' + '.aif'
			pygame.mixer.music.load(soundfile)
			pygame.mixer.music.play()
			playing = 1
			if pygame.mixer.music.get_busy() == True:
				valueprevious = soundfileID
				
def clignote():
		global playing
		if playing == 0:
			GPIO.output(23, False)
			clock.tick(10)
			GPIO.output(23, True)
			clock.tick(10)
		if playing == 1:
			GPIO.output(23, True)
    		
mainloop = True
while mainloop:
        clignote ()
        
    	if GPIO.input(18) == False:
            		num = soundfileID + 1

    	if GPIO.input(18) == True:
            		soundfileID = num
          			
            		
        soundop("/home/pi/toutisons/", 1000)
        
        for event in pygame.event.get():

                    if event.type == pygame.KEYDOWN:
                            if event.key == pygame.K_p:
                                pygame.mixer.music.fadeout(2000)

                    if event.type == pygame.KEYDOWN:
                            if event.key == pygame.K_ESCAPE:
                                pygame.mixer.music.fadeout(2000)
                                pygame.display.flip()
                                time.sleep(1)
                                pygame.quit()
                                sys.exit()                                
                                

                    if event.type == SONG_END:
                                if pygame.mixer.music.get_busy() == False:
                                	soundfileID = 0
                                	playing = 0
                                    
                    if event.type == pygame.QUIT:
                                mainloop = False
                                
